> ## Name

> cgGLSetParameter1d - set the values of a scalar or vector parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLSetParameter1d( CGparameter param,
>                              double x );

> ## Parameters

> param
>   The parameter that will be set.
> x
>   The value to which param will be set.

> ## Return Values

> None.

> ## Description

> cgGLSetParameter1d sets the value of a scalar or vector parameter.

> cgGLSetParameter1d may be called with uniform or varying parameters. When called with a varying parameter, the appropriate immediate mode OpenGL entry point will be called. However, the cgGLGetParameter functions only work with uniform parameters.

> ## Examples

>     double x = 1.0;

>     cgGLSetParameter1d(param, x);

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> ## History

> cgGLSetParameter1d was introduced in Cg 1.1.

> ## See Also

> cgGLGetParameter, cgGLSetParameterArray, cgGLSetMatrixParameter, cgGLSetMatrixParameterArray, cgGLSetTextureParameter, cgGLBindProgram